<?php	

function loadS70() {

  // LOADS THE S70 DATA FROM THE FILE
  // /DATA/SITAR_1/whi550/VO/PulsarVO/s70v_summary.csv INTO A TEMPORARY
  // TABLE IN THE MYSQL DATABASE. THE LINK NEEDS TO HAVE BEEN MADE WITH
  // ADMIN PRIVILEGES.

  $createTable = "
CREATE TEMPORARY TABLE s70 (
	filename VARCHAR(32),
	data_loc VARCHAR(100),
 	file_size_bytes INT(32),
	hdrver VARCHAR(10),
	survey VARCHAR(10),
	telescope VARCHAR(16),
 	site VARCHAR(8),    
	src_name VARCHAR(16),
 	date VARCHAR(16),   
 	ut VARCHAR(16),   
 	MJD DECIMAL(32,26),
	raj VARCHAR(20),
	decj VARCHAR(20),
	rajd DOUBLE,
	decjd DOUBLE,
	gl DOUBLE,
	gb DOUBLE,
	bmaj FLOAT,
	bmin FLOAT,
	bpa FLOAT,
	dm DECIMAL(16,10),
	period DECIMAL(32,24),
	cnfg VARCHAR(128),
 	inst VARCHAR(32),
	data_type VARCHAR(128),
 	rcvr VARCHAR(16),   
 	obsrvr VARCHAR(32),   
        obsfreq DECIMAL(32,16),
	chanbw DECIMAL(16,6),
 	nchan INT(6),        
	npol INT(6),
 	nbin INT(6),        
 	nsub INT(6),        
 	scanlen DECIMAL(32,20),
 	tsamp FLOAT,       
	nbits tinyint(3) unsigned,  
	nbeam tinyint(3) unsigned,
	PRIMARY KEY (filename, data_loc)
)";

  $result = mysql_query($createTable) or die('Query failed: ' . mysql_error());

  $loadTable = "
LOAD DATA LOCAL INFILE \"/pulsar/archive13/S70V/summary_S70.csv\" 
INTO TABLE s70 
FIELDS TERMINATED BY \",\" 
OPTIONALLY ENCLOSED BY \"\\\"\" 
IGNORE 1 LINES 
(filename,data_loc,file_size_bytes,hdrver,survey,telescope,site,src_name,date,ut,MJD,raj,decj,rajd,decjd,gl,gb,bmaj,bmin,bpa,dm,period,cnfg,inst,data_type,rcvr,obsrvr,obsfreq,chanbw,nchan,npol,nbin,nsub,scanlen,tsamp,nbits,nbeam)";

  $result = mysql_query($loadTable) or die('Query failed: ' . mysql_error());

}

?>
